Subject: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Samuel Thibault <[email-masked]>
Date: Sun, 3 Aug 2025 22:01:24 +0200

Hello,

Manuel Giraud, le dim. 03 août 2025 14:03:51 +0200, a ecrit:
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Manuel Giraud <[email-masked]>
> >> Cc: [email-masked],  [email-masked],  [email-masked],
> >>   [email-masked],  [email-masked]
> >> Date: Sun, 03 Aug 2025 11:17:18 +0200
> >> 
> >> > I see no reason to make this a user option.  It should be a simple
> >> > variable.
> >> 
> >> I have used the DEFVAR_BOOL macro but no defcustom: does that make it a
> >> "simple variable"?
> >
> > Yes.  To make such a variable a defcustom, you need to add it to
> > cus-start.el.
> >
> >> Sorry for my lack of understanding of Emacs internals here.
> >
> > No need to feel sorry, no one is borne with this knowledge.
> 
> Thanks.  Here is the new version of the patch that, I think, addresses
> all the left issues.

Thanks. I confirm that the patch fixes the behavior, and that adding

(setq tty-cursor-movement-use-TAB-BS 1)

to my .emacs re-breaks the behavior.

Samuel